### Property

# Camel OfflineSettings:limit-unit

#### Declaration

    property limit-unit: Camel.TimeUnit [ read, write, construct ]

#### Description [src]

A unit for the limit-value.

Type:`CamelTimeUnit`

Default value | CAMEL_TIME_UNIT_YEARS
Getter method | `camel_offline_settings_get_limit_unit()`
Setter method | `camel_offline_settings_set_limit_unit()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no